<!DOCTYPE html>
<html lang="en">
<head>
    <base href="${contextPath}/">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="500 Internal Server Error">
<meta name="author" content="">
<title>500 Internal Server Error</title>
<!-- Bootstrap core CSS -->
<link rel="stylesheet" href="ris/libs/bootstrap-3.3.6/css/bootstrap.min.css">
<link rel="stylesheet" href="ris/libs/font-awesome-4.7.0/css/font-awesome.min.css">
<style>
/* Error Page Inline Styles */
body {
  padding-top: 20px;
}
/* Layout */
.jumbotron {
  font-size: 21px;
  font-weight: 200;
  line-height: 2.1428571435;
  color: inherit;
  padding: 10px 0px;
}
/* Everything but the jumbotron gets side spacing for mobile-first views */
.masthead, .body-content {
  padding-left: 15px;
  padding-right: 15px;
}
/* Main marketing message and sign up button */
.jumbotron {
  text-align: center;
  background-color: transparent;
}
.jumbotron .btn {
  font-size: 21px;
  padding: 14px 24px;
}
/* Colors */
.green {color:#5cb85c;}
.orange {color:#f0ad4e;}
.red {color:#d9534f;}
</style>
<script type="text/javascript">
  function loadDomain() {
    var display = document.getElementById("display-domain");
    display.innerHTML = document.domain;
  }
</script>
</head>
<body onload="javascript:loadDomain();">
<!-- Error Page Content -->
<div class="container">
  <!-- Jumbotron -->
  <div class="jumbotron">
    <h1><span class="glyphicon glyphicon-fire red"></span> 500 Internal Server Error</h1>
    <p class="lead">The web server is returning an internal error for <em><span id="display-domain"></span></em>.</p>
    <a href="javascript:document.location.reload(true);" class="btn btn-default btn-lg text-center"><span class="green">Try This Page Again</span></a>
  </div>
</div>
<div class="container">
  <div class="body-content">
    <div class="row">
      <div class="col-md-6">
        <h2>What happened?</h2>
        <p class="lead">A 500 error status implies there is a problem with the web server's software causing it to malfunction.</p>
      </div>
      <div class="col-md-6">
        <h2>What can I do?</h2>
        <p class="lead">If you're a site vistor</p>
        <p> Nothing you can do at the moment. If you need immediate assistance, please send us an email instead. We apologize for any inconvenience.</p>
        <p class="lead">If you're the site owner</p>
         <p>This error can only be fixed by server admins, please contact your website provider.</p>
     </div>
    </div>
  </div>
</div>

<div class="container" style="margin-top: 30px;">
    <#if configuration.loggingProperties["ocean.errors.feedback.recipient"]?has_content>
    <@authorize operation="/exceptions/sendError">
    <div class="alert alert-info">
	  <form action="exceptions/sendError" method="post" enctype="multipart/form-data">
		  <input type="hidden" name="exception" value="${formattedException?html}">
		  <input type="hidden" name="method" value="${method}">
		  <input type="hidden" name="parameters" value="${requestInput?html}">
		  <div class="row">
			  <div class="col-md-9">
				  <p><@i18n key="ocean.errors.sendMsg" /></p>
			  </div>
			  <div class="col-md-3">
				  <button type="submit" class="btn btn-danger btn-sm btn-block"><i class="fa fa-send"></i> <@i18n key="ocean.errors.send" /></button>
			  </div>
		  </div>
	  </form>
    </div>
    </@authorize>
    </#if>
    <div class="alert alert-danger">
        <button class="close" type="button">
            <span class="glyphicon glyphicon-collapse-down"></span>
        </button>

        <p><strong>${message!"&nbsp;"}</strong></p>

        <div class="exception hidden">
            <pre>${formattedException}</pre>
        </div>
    </div>
</div>

<!-- End Error Page Content -->
<!--Scripts-->
<!-- jQuery library -->
<script src="ris/js/jquery-1.11.3.min.js"></script>
<script src="ris/libs/bootstrap-3.3.6/js/bootstrap.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('.alert button.close').click(function () {
            var btn = $(this).children('span');
            btn.toggleClass('glyphicon-collapse-down');
            btn.toggleClass('glyphicon-collapse-up');
            $(this).closest('.alert').find('div.exception').toggleClass('hidden');
        });
    });
    
</script>
</body>
</html>